Skip to content

Estimate SEPA Fee

POST
/v5/offramp/sepa/estimate-fee

Estimate the fee for a Card API SEPA transfer.

Authorizations

ApiKeyAuth
Type
API Key (header: X-Api-Key)

Request Body

application/json
JSON
{
"iban": "DE89370400440532013000",
"eurAmount": "500.00"
}

Responses

OK

application/json
JSON
{
"status": "ok",
"payload": {
"feeAmount": "0.35",
"netAmount": "499.65",
"currency": "EUR",
"bankName": "Commerzbank",
"bankCountry": "DE"
}
}

Playground

Authorization
Body

Samples

Powered by VitePress OpenAPI

Code examples

bash
curl -X POST https://api.brrr.network/v5/offramp/sepa/estimate-fee \
  -H "X-Api-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "iban": "DE89370400440532013000",
  "eurAmount": "500.00"
}'
javascript
const response = await fetch('https://api.brrr.network/v5/offramp/sepa/estimate-fee', {
  method: 'POST',
  headers: {
    'X-Api-Key': process.env.BRRR_API_KEY,
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
  'iban': 'DE89370400440532013000',
  'eurAmount': '500.00'
}),
});

if (!response.ok) {
  const error = await response.json();
  throw new Error(`Request failed: ${error.errorCode}`);
}

const data = await response.json();
console.log(data.payload);
python
import os
import httpx

response = httpx.post(
    'https://api.brrr.network/v5/offramp/sepa/estimate-fee',
    headers={
        'X-Api-Key': os.environ['BRRR_API_KEY'],
        'Content-Type': 'application/json',
    },
    json={
    "iban": "DE89370400440532013000",
    "eurAmount": "500.00"
},
)
response.raise_for_status()
print(response.json()['payload'])